Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator
Class ValidatorConfig.Builder

    java.lang.Object
      com.opensymphony.xwork2.validator.ValidatorConfig.Builder

Enclosing class:
  ValidatorConfig

    public static final class ValidatorConfig.Builder

extends java.lang.Object

Builds a ValidatorConfig

Constructor Summary
`ValidatorConfig.Builder(java.lang.String validatorType)`
`ValidatorConfig.Builder(ValidatorConfig config)`

Method Summary
`ValidatorConfig.Builder` | `addParam(java.lang.String name, java.lang.String value)`
`ValidatorConfig.Builder` | `addParams(java.util.Map<java.lang.String,java.lang.String> params)`
`ValidatorConfig` | `build()`
`ValidatorConfig.Builder` | `defaultMessage(java.lang.String msg)`
`ValidatorConfig.Builder` | `location(Location loc)`
`ValidatorConfig.Builder` | `messageKey(java.lang.String key)`
`ValidatorConfig.Builder` | `messageParams(java.lang.String[] msgParams)`
`ValidatorConfig.Builder` | `removeParam(java.lang.String key)`
`ValidatorConfig.Builder` | `shortCircuit(boolean shortCircuit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatorConfig.Builder

    public ValidatorConfig.Builder(java.lang.String validatorType)

### ValidatorConfig.Builder

    public ValidatorConfig.Builder(ValidatorConfig config)

Method Detail

### shortCircuit

    public ValidatorConfig.Builder shortCircuit(boolean shortCircuit)

### defaultMessage

    public ValidatorConfig.Builder defaultMessage(java.lang.String msg)

### messageParams

    public ValidatorConfig.Builder messageParams(java.lang.String[] msgParams)

### messageKey

    public ValidatorConfig.Builder messageKey(java.lang.String key)

### addParam

    public ValidatorConfig.Builder addParam(java.lang.String name,
                                            java.lang.String value)

### addParams

    public ValidatorConfig.Builder addParams(java.util.Map<java.lang.String,java.lang.String> params)

### location

    public ValidatorConfig.Builder location(Location loc)

### build

    public ValidatorConfig build()

### removeParam

    public ValidatorConfig.Builder removeParam(java.lang.String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.